1

I am georeferencing drone images with QGIS, and the transformation method that gives the best results is the projective one.

As I have many images, I would like to write a gdal script to automate the process.

However, when I hit the "generate GDAL script" button, I get the following error:

GDAL scripting is not supported for projective transformation.

Is it gdalwarp which doesn't support projective transformation, or is QGIS georeferencer that doesn't implement it?

2

Looks like it.

Based on the source code:

https://github.com/qgis/QGIS/blob/master/src/plugins/georeferencer/qgsgeoreftransform.cpp

GDAL is only used for the three polynomial transformations and the thin plate spline.

  • Thank you for helping... and to remind me that sometimes "the code is the doc" ! – sigeal Sep 12 '18 at 9:24

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.